websocket-sharp System.Object System.Collections.ICollection Provides a collection container for instances of the class. To be added.
- Constructor
  Initializes a new instance of the class.
  To be added.
- Method
  System.Void `` A to add to the . Add the specified to the . To be added. is .
- Method
  System.Void `` A to add to the current . Add the elements of the specified to the current . To be added. is .
- Method
  System.Void `` `` An is the destination of the elements copied from the . An that indicates the zero-based index in at which copying begins. Copies the elements of the to the specified , starting at the specified in the . To be added. is . is less than zero.

  is multidimensional.

  -or-

  The number of elements in the is greater than the available space from index to the end of the destination .

  The elements in the cannot be cast automatically to the type of the destination .
- Method
  System.Void `` `` An array of is the destination of the elements copied from the . An that indicates the zero-based index in at which copying begins. Copies the elements of the to the specified array of , starting at the specified in the . To be added. is . is less than zero. The number of elements in the is greater than the available space from index to the end of the destination .
- Property
  System.Int32 Gets the number of cookies contained in the . An that indicates the number of cookies contained in the . To be added.
- Method
  System.Collections.IEnumerator Gets the enumerator to use to iterate through the . An instance of an implementation of the interface to use to iterate through the . To be added.
- Property
  System.Boolean Gets a value indicating whether the is read-only. true if the is read-only; otherwise, false. The default is true. To be added.
- Property
  System.Boolean Gets a value indicating whether access to the is thread safe. true if access to the is thread safe; otherwise, false. The default is false. To be added.
- Property
  WebSocketSharp.Net.Cookie `` An is the zero-based index of the to find. Gets the with the specified from the . A with the specified in the . To be added. is less than zero or is greater than or equal to .
- Property
  WebSocketSharp.Net.Cookie `` A is the name of the to find. Gets the with the specified from the . A with the specified in the . To be added. is .
- Property
  System.Object Gets an object to use to synchronize access to the . An to use to synchronize access to the . To be added.